unit clsQuote_u;

interface
type
   TQuoteCalculator = class(TObject)
   private
      fLength : real;
      fWidth  : real;
      fCoverAreaPerBox : real;//Area that can be covered by one box of tiles
      fPricePerBox : real;   //Price of one box of tiles
      fRatePerSqrM : real; //Cost of labour to tile one square meter
   public
      constructor Create;
      procedure SetLength(sLength : real);
		 // Set the length of area to be covered
      procedure SetWidth(sWidth : real);
		 // Set the width of area to be covered
      procedure SetCoverAreaPerBox(rCoverArea : real);
 		 //Allow a user to change the area that is covered by one box of tiles.
      procedure SetPricePerBox(rPrice : real);
		 // Allow a user to change the price for one box of tiles
      procedure SetRatePerSqrM(rRate : real);
 		 // Allow a user to change the cost of labour to tile one square meter
      function CalculateLabourCost : real;
 		 // Calculate cost of labour
	    function CalculateNumBoxes : integer;
 		 // Calculate the number of boxes of tiles required
      function CalculateMaterialCost : real;
 		 // Calculate cost of material (tiles)
      function CalculateTotalCost : real;
  		// Calculate the total cost for labour and material
      function GetPricePerBox : real;
		 // Return the price of one box of tiles
      function GetRatePerSqrM : real;
		 // Return the cost of labour to tile one square meter
      function GetAreaPerBox : real;
	 	// Return the area that is covered by one box of tiles.
   end ;

implementation

{ TQuoteCalculator }


end.
